/** The outbox message for storing it to the DB and receiving it back from the WAL */
export interface OutboxMessage {
    id: string;
    aggregateType: string;
    aggregateId: string;
    eventType: string;
    payload: unknown;
    createdAt: string;
}
/** The inbox message for storing it to the DB and receiving it back from the WAL */
export interface InboxMessage extends OutboxMessage {
    retries: number;
    processedAt: string | null;
}
/** An error that was raised when handling an outbox/inbox message. */
export declare class MessageError<T extends OutboxMessage> extends Error {
    messageObject: T;
    constructor(message: string, messageObject: T);
}
//# sourceMappingURL=models.d.ts.map