import { ClientBase } from 'pg';
import { OutboxServiceConfig } from './outbox-service';
import { OutboxMessage } from './models';
/**
 * Pre-configure the specific kind of outbox message to generate and receive a
 * function that can be called to actually store the specific outbox message.
 * @param aggregateType The aggregate root type that was responsible to create this message.
 * @param eventType The type of event that happened on the aggregate type.
 * @param config The configuration object that defines the outbox table schema.
 * @returns The function to store the outbox message data to the database.
 */
export declare const initializeOutboxMessageStorage: (aggregateType: string, eventType: string, { settings: { dbSchema, dbTable } }: Pick<OutboxServiceConfig, 'settings'>) => (aggregateId: string, payload: unknown, dbClient: ClientBase) => Promise<OutboxMessage>;
//# sourceMappingURL=outbox.d.ts.map